%define name usbmuxd
%define major 2
%define libname %mklibname usbmuxd %major
%define libnamedev %mklibname -d usbmuxd

Summary:	Daemon for communicating with Apple's iPod Touch and iPhone
Name:		%{name}
Version:	1.0.8
Release:	%mkrel 1
Group:		System/Kernel and hardware 
License:	GPLv2+ and LGPLv2+
URL:		http://marcansoft.com/blog/iphonelinux/usbmuxd/
Source0:	http://marcansoft.com/uploads/usbmuxd/%{name}-%{version}%{?extraver:-%{extraver}}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	cmake
BuildRequires:	usb1.0-devel >= 1.0.3
BuildConflicts: libusb1.0-static-devel
Obsoletes:  	%name < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2


%description
usbmuxd is a daemon used for communicating with Apple's iPod Touch and iPhone
devices. It allows multiple services on the device to be accessed
simultaneously.

%package -n %libname
Group: System/Libraries
Summary: Library to access the usbmuxd daemon
Requires: %name >= %version

%description -n %libname
libusmuxd is used to communicate with the usbmuxd daemon by apps wishing to 
interact with Apple's iPod Touch and iPhone.

%package -n %libnamedev
Summary: Development package for %{name}
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libnamedev
Files for development with %{name}.

%prep
%setup -q

echo %{version} > version.tag

%build
%cmake -DUSB_INCLUDE_DIR=%{_includedir}/libusb-1.0
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %{buildroot}

%pre
%_pre_useradd usbmux /proc /sbin/nologin

%postun
%_postun_userdel usbmux


%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS README
/lib/udev/rules.d/85-usbmuxd.rules
%{_bindir}/iproxy
%{_sbindir}/usbmuxd

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libusbmuxd.so.%{major}*
%{_libdir}/lib%{name}.so.%{version}

%files -n %libnamedev
%defattr(-,root,root,-)
%doc README.devel
%{_includedir}/*.h
%{_libdir}/libusbmuxd.so
%{_libdir}/pkgconfig/libusbmuxd.pc

%changelog
* Tue May 14 2013 Texstar <texstar at gmail.com> 1.0.8-1pclos2013
- 1.0.8

* Thu Apr 14 2011 Texstar <texstar at gmail.com> 1.0.7-1pclos2011
- 1.0.7

* Mon Apr 19 2010 Texstar <texstar at gmail.com> 1.0.3-2pclos2010
- add Build Conflicts libusb1.0-static-devel

* Mon Apr 19 2010 slick50 <lxgator@gmail.com> 1.0.3-1pclos2010
- import usbmuxd
